View Issue Details

IDProjectCategoryView StatusLast Update
16072Bug reportsOtherpublic2020-04-07 12:28
ReporterJmantysalo Assigned ToDenisChenu  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.1.13 
Fixed in Version4.1.15 
Summary16072: E-Mail Sender Name is always "Administrator"
Description

Sender name in "From:"-field is not used in invitation nor remainder emails. Sender email works as expected.

This has been confirmed, see https://www.limesurvey.org/community/forums/installation-a-update-issues/120453-e-mail-sender-name-is-always-administrator/196139

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 4.1.13+200325
I will donate to the project if issue is resolvedNo
Sync to Zoho Project
Browser
Database & DB-VersionMariaDB, newest available on RHEL 8
Server OS (if known)Linux, RHEL 8
Webserver software & version (if known)Apache
PHP VersionNewest available on RHEL 8

Activities

Jmantysalo

Jmantysalo

2020-04-02 11:43

reporter   ~56881

It seems that setFrom in LimeMailer.php is called several times when I just send one email. I tried to make and grep some log and found

        [function] => setFrom
        [file] => /var/www/html/lime/application/core/LimeMailer.php
        [function] => init
        [file] => /var/www/html/lime/application/core/LimeMailer.php
        [function] => __construct

--
[function] => setFrom
[file] => /var/www/html/lime/application/controllers/admin/tokens.php
[function] => setSurvey
[function] => email
[file] => /var/www/html/lime/framework/web/actions/CAction.php

        [function] => setFrom
        [file] => /var/www/html/lime/application/core/LimeMailer.php
        [function] => init
        [file] => /var/www/html/lime/application/controllers/admin/tokens.php
        [function] => getInstance

--
[function] => setFrom
[function] => email
[file] => /var/www/html/lime/framework/web/actions/CAction.php
[function] => invokeArgs
[file] => /var/www/html/lime/application/core/Survey_Common_Action.php

        [function] => setFrom
        [file] => /var/www/html/lime/application/core/LimeMailer.php
        [function] => manageEvent
        [file] => /var/www/html/lime/application/controllers/admin/tokens.php
        [function] => sendMessage

setFrom first got a call with right parameters, then with wrong ones.

DenisChenu

DenisChenu

2020-04-02 19:21

developer   ~56901

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29798

Jmantysalo

Jmantysalo

2020-04-06 06:01

reporter   ~56955

I upgraded to Versio 4.1.15+200402, but still filling in the name for sender field does nothing. The name from general settings is always used.

What is the easiest way to manually put in some code, i.e. to download a patch for given bug and install it?

DenisChenu

DenisChenu

2020-04-06 09:18

developer   ~56957

I think new version are for today

Else you can replace application/core/LimeMailer.php by the new one https://github.com/LimeSurvey/LimeSurvey/commit/6edf45aab04d6ac479a2eb13c8174a96b29dc4cd

Jmantysalo

Jmantysalo

2020-04-06 13:23

reporter   ~56970

I don't get this. I said wget https://raw.githubusercontent.com/LimeSurvey/LimeSurvey/6edf45aab04d6ac479a2eb13c8174a96b29dc4cd/application/core/LimeMailer.php and got file having SHA-256 sum 471cb4eecbb57263a9fbaa750947069588d57417bdabe4bcc129e29dc9ac3105. I put it to application/core/LimeMailer.php. But still, the email sender name is not changed.

DenisChenu

DenisChenu

2020-04-06 14:14

developer   ~56973

I check sending email with admin GUI : it's OK

DenisChenu

DenisChenu

2020-04-06 14:15

developer   ~56974

@Jmantysalo : i check without inherit

Jmantysalo

Jmantysalo

2020-04-06 16:10

reporter   ~56977

OK. So it works partially, which is currently enough. There is a clear bug remaining, though.

If I set inherit to off, then administrator is taken from the general settings of the survey. But the name put into field in "Send invitations" -screen does nothing.

DenisChenu

DenisChenu

2020-04-06 16:13

developer   ~56978

You mean manual update just before send ?

Let me check (i think checked)

Jmantysalo

Jmantysalo

2020-04-06 16:14

reporter   ~56979

Yep, just before sending.

DenisChenu

DenisChenu

2020-04-06 16:40

developer   ~56980

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29811

DenisChenu

DenisChenu

2020-04-06 16:45

developer   ~56981

OK,

Please check with the new file

Thanks for report

Jmantysalo

Jmantysalo

2020-04-06 18:30

reporter   ~56983

If I click that link (or any other link in these bug report pages), I get just "APPLICATION ERROR #200 "A required parameter to this page (id) was not found." But I try to found the link myself.

Jmantysalo

Jmantysalo

2020-04-06 18:34

reporter   ~56984

Yes, now it works. Thanks!

DenisChenu

DenisChenu

2020-04-07 09:02

developer   ~56991

If I click that link (or any other link in these bug report pages), I get just "APPLICATION ERROR #200 "A required parameter to this page (id) was not found." But I try to found the link myself.

Use diff link at bottom. There are an issue with mantis system (replace &)

Jmantysalo

Jmantysalo

2020-04-07 09:05

reporter   ~56992

OK, that works. Thanks again.

lime_release_bot

lime_release_bot

2020-04-07 12:28

administrator   ~57001

Fixed in Release 4.1.16+200407

Related Changesets

LimeSurvey: master 6edf45aa

2020-04-02 19:21:14

DenisChenu

Details Diff
Fixed issue 16072: E-Mail Sender Name is always "Administrator"
Dev: move default from and sender from init to constructor
Dev: move eventName too
Affected Issues
16072
mod - application/core/LimeMailer.php Diff File

LimeSurvey: master 2e9cb470

2020-04-06 16:40:36

DenisChenu

Details Diff
Dev: Fixed issue 16072: E-Mail Sender Name not taken from POST value
Dev: better check of strpos($from, '<') in LimeMailer->setFrom
Affected Issues
16072
mod - application/core/LimeMailer.php Diff File

Issue History

Date Modified Username Field Change
2020-04-01 17:13 Jmantysalo New Issue
2020-04-01 17:17 cdorin Zoho Sprints => |Yes|
2020-04-01 17:17 swendrich Zoho Sprints ID => 14469000000018241
2020-04-01 17:17 cdorin Status new => confirmed
2020-04-01 17:17 cdorin Zoho Sprints Yes => |Yes|
2020-04-02 11:43 Jmantysalo Note Added: 56881
2020-04-02 19:07 DenisChenu Assigned To => DenisChenu
2020-04-02 19:07 DenisChenu Status confirmed => assigned
2020-04-02 19:21 DenisChenu Changeset attached => LimeSurvey master 6edf45aa
2020-04-02 19:21 DenisChenu Note Added: 56901
2020-04-02 19:21 DenisChenu Resolution open => fixed
2020-04-02 19:21 DenisChenu Status assigned => resolved
2020-04-02 19:21 DenisChenu Fixed in Version => 4.1.15
2020-04-06 06:01 Jmantysalo Note Added: 56955
2020-04-06 09:18 DenisChenu Note Added: 56957
2020-04-06 13:23 Jmantysalo Note Added: 56970
2020-04-06 14:14 DenisChenu Note Added: 56973
2020-04-06 14:15 DenisChenu Note Added: 56974
2020-04-06 16:10 Jmantysalo Note Added: 56977
2020-04-06 16:13 DenisChenu Note Added: 56978
2020-04-06 16:14 Jmantysalo Note Added: 56979
2020-04-06 16:40 DenisChenu Changeset attached => LimeSurvey master 2e9cb470
2020-04-06 16:40 DenisChenu Note Added: 56980
2020-04-06 16:45 DenisChenu Note Added: 56981
2020-04-06 18:30 Jmantysalo Note Added: 56983
2020-04-06 18:34 Jmantysalo Note Added: 56984
2020-04-07 09:02 DenisChenu Note Added: 56991
2020-04-07 09:05 Jmantysalo Note Added: 56992
2020-04-07 12:28 lime_release_bot Zoho Sprints Yes => |Yes|
2020-04-07 12:28 lime_release_bot Note Added: 57001
2020-04-07 12:28 lime_release_bot Status resolved => closed